[arch-commits] Commit in libxcomposite/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 01:20:49 EDT 2009


    Date: Tuesday, April 14, 2009 @ 01:20:49
  Author: eric
Revision: 35580

upgpkg: libxcomposite 0.4.0-2
    Added license

Modified:
  libxcomposite/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 05:05:13 UTC (rev 35579)
+++ PKGBUILD	2009-04-14 05:20:49 UTC (rev 35580)
@@ -3,20 +3,21 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxcomposite
 pkgver=0.4.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Composite extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxfixes' 'libxext' 'compositeproto')
 makedepends=('pkgconfig')
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXcomposite-${pkgver}.tar.bz2)
+md5sums=('7e95395dea89be21bae929b9b7f16641')
 
 build() {
-  cd ${startdir}/src/libXcomposite-${pkgver}
+  cd ${srcdir}/libXcomposite-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('7e95395dea89be21bae929b9b7f16641')



More information about the arch-commits mailing list